#!/usr/bin/env python
# -*- coding: utf-8 -*-
""" This is a part of Casetta project.

    setup.py are created by Achraf Cherti <achrafcherti@gmail.com>
"""

from distutils.core import setup
import os

pjoin = os.path.join

# Windows in plateforms

setup(
    name="casetta",
    version="0.2.0",
    url="http://casetta.tuxfamily.org",
    download_url="http://casetta.tuxfamily.org/wiki.php/Download%20page",
    description="Format converter for CASIO graphics calculator programs",
    long_description= """\
Casetta is a python package wich can convert casio data in various formats.
Casetta can also transfert data with the calculator using transfers tools as
cafix.
Casetta_cli is a command line interface for casetta, and casetta_gtk a
graphical interface using the GTK toolkit.
""",
    author="Florian biree",
    author_email="florian.biree@laposte.net",
    license="GNU General Public License",
    platforms="Unix",
    packages=['casetta'],
    package_data={'casetta': [pjoin("casetta", "changelog"),
                              pjoin("casetta", "copyright"),
                              pjoin("casetta", "README")]},
    data_files=[
        # casetta_cli
            # bin
            ("bin", [pjoin("casetta_cli", "launcher", "casetta")]),

            # share/casetta_cli
            (pjoin("share", "casetta_cli"), [
                    pjoin("casetta_cli", "casetta_cli.py"),
                    pjoin("casetta_cli", "prefs.py"),
                    ]),
            # share/doc/casetta_cli
            (pjoin("share", "doc", "casetta_cli"), [
                    pjoin("casetta_cli", "changelog"),
                    pjoin("casetta_cli", "copyright"),
                    pjoin("casetta_cli", "README"),
                    ]),
            # share/man/man1
            (pjoin("share", "man", "man1"), [
                    pjoin("casetta_cli", "man", "casetta.1.gz"),
                    ]),
            # share/doc/casetta_cli/examples
            (pjoin("share", "doc", "casetta_cli", "examples"), [
                    pjoin("casetta_cli", "examples", "empty.newcat"),
                    pjoin("casetta_cli", "examples", "helloworld.newcat"),
                    ]),
        # casetta_gtk
            # bin
            ("bin", [pjoin("casetta_gtk", "launcher", "casetta_gtk")]),
            # share/casetta_gtk
            (pjoin("share", "casetta_gtk"), [
                    pjoin("casetta_gtk", "casetta_gtk.py"),
                    pjoin("casetta_gtk", "casetta_gtk.glade"),
                    pjoin("casetta_gtk", "casetta_gtk.svg"),
                    pjoin("casetta_gtk", "dialogs.py"),
                    pjoin("casetta_gtk", "fill_equiv.py"),
                    pjoin("casetta_gtk", "prefs.py"),
                    ]),
            (pjoin("share", "applications"), [pjoin("casetta_gtk",
                                                    "applications",
                                                    "casetta_gtk.desktop")
                                             ]),
            # share/man/man1
            (pjoin("share", "man", "man1"), [
                    pjoin("casetta_gtk", "man", "casetta_gtk.1.gz"),
                    ]),
            # share/locale/*
            (pjoin("share", "locale", "fr", "LC_MESSAGES"),
             [pjoin("casetta_gtk", "locale", "fr", "LC_MESSAGES",
                    "casetta_gtk.mo")])
    ]
)

# vim:ai:et:sw=4:ts=4:sts=4:tw=78:fenc=utf-8
